## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybasesqlmodelPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybasesqlmodelPackageImpl

    public interface SybasesqlmodelPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SybasesqlmodelFactory`

Nested Class Summary
`static interface` `SybasesqlmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static SybasesqlmodelPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `JDBC_PARAMETER_TYPE` The meta object id for the '`JDBC Parameter Type`' enum.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER` The meta object id for the '`Sybase Authorization Identifier`' class.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__DATABASE` The feature id for the 'Database' reference.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER__SQL_CONTAINER` The feature id for the 'Sql Container' reference.
`static int` `SYBASE_AUTHORIZATION_IDENTIFIER_FEATURE_COUNT` The number of structural features of the 'Sybase Authorization Identifier' class.
`static int` `SYBASE_AUTHORIZED_OBJECT` The meta object id for the '`Sybase Authorized Object`' class.
`static int` `SYBASE_AUTHORIZED_OBJECT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_AUTHORIZED_OBJECT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_AUTHORIZED_OBJECT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_AUTHORIZED_OBJECT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_AUTHORIZED_OBJECT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_AUTHORIZED_OBJECT__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_AUTHORIZED_OBJECT__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_AUTHORIZED_OBJECT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_AUTHORIZED_OBJECT_FEATURE_COUNT` The number of structural features of the 'Sybase Authorized Object' class.
`static int` `SYBASE_BASE_TABLE` The meta object id for the '`Sybase Base Table`' class.
`static int` `SYBASE_BASE_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_BASE_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_BASE_TABLE__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
`static int` `SYBASE_BASE_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_BASE_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_BASE_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_BASE_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_BASE_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_BASE_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_BASE_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_BASE_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_BASE_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS` The feature id for the 'Referencing Foreign Keys' reference list.
`static int` `SYBASE_BASE_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_BASE_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_BASE_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_BASE_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_BASE_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_BASE_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_BASE_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase Base Table' class.
`static int` `SYBASE_INDEX_MEMBER` The meta object id for the '`Sybase Index Member`' class.
`static int` `SYBASE_INDEX_MEMBER__COLUMN` The feature id for the 'Column' reference.
`static int` `SYBASE_INDEX_MEMBER__COLUMN_EXPRESSION` The feature id for the 'Column Expression' attribute.
`static int` `SYBASE_INDEX_MEMBER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_INDEX_MEMBER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_INDEX_MEMBER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_INDEX_MEMBER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_INDEX_MEMBER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_INDEX_MEMBER__INCREMENT_TYPE` The feature id for the 'Increment Type' attribute.
`static int` `SYBASE_INDEX_MEMBER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_INDEX_MEMBER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_INDEX_MEMBER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_INDEX_MEMBER_FEATURE_COUNT` The number of structural features of the 'Sybase Index Member' class.
`static int` `SYBASE_PARAMETER` The meta object id for the '`Sybase Parameter`' class.
`static int` `SYBASE_PARAMETER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_PARAMETER__CONTAINED_TYPE` The feature id for the 'Contained Type' containment reference.
`static int` `SYBASE_PARAMETER__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` `SYBASE_PARAMETER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_PARAMETER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_PARAMETER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_PARAMETER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_PARAMETER__JDBC_PARAMETER_TYPE` The feature id for the 'JDBC Parameter Type' attribute.
`static int` `SYBASE_PARAMETER__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_PARAMETER__LOCATOR` The feature id for the 'Locator' attribute.
`static int` `SYBASE_PARAMETER__MODE` The feature id for the 'Mode' attribute.
`static int` `SYBASE_PARAMETER__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_PARAMETER__NULLABLE` The feature id for the 'Nullable' attribute.
`static int` `SYBASE_PARAMETER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_PARAMETER__REFERENCED_TYPE` The feature id for the 'Referenced Type' reference.
`static int` `SYBASE_PARAMETER__ROUTINE` The feature id for the 'Routine' container reference.
`static int` `SYBASE_PARAMETER__STRING_TYPE_OPTION` The feature id for the 'String Type Option' containment reference.
`static int` `SYBASE_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Sybase Parameter' class.
`static int` `SYBASE_PRIVILEGE` The meta object id for the '`Sybase Privilege`' class.
`static int` `SYBASE_PRIVILEGE__ACTION` The feature id for the 'Action' attribute.
`static int` `SYBASE_PRIVILEGE__ACTION_OBJECTS` The feature id for the 'Action Objects' reference list.
`static int` `SYBASE_PRIVILEGE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_PRIVILEGE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_PRIVILEGE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_PRIVILEGE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_PRIVILEGE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_PRIVILEGE__GRANTABLE` The feature id for the 'Grantable' attribute.
`static int` `SYBASE_PRIVILEGE__GRANTEE` The feature id for the 'Grantee' container reference.
`static int` `SYBASE_PRIVILEGE__GRANTOR` The feature id for the 'Grantor' reference.
`static int` `SYBASE_PRIVILEGE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_PRIVILEGE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_PRIVILEGE__OBJECT` The feature id for the 'Object' reference.
`static int` `SYBASE_PRIVILEGE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_PRIVILEGE__REVOKED` The feature id for the 'Revoked' attribute.
`static int` `SYBASE_PRIVILEGE__WITH_HIERARCHY` The feature id for the 'With Hierarchy' attribute.
`static int` `SYBASE_PRIVILEGE_FEATURE_COUNT` The number of structural features of the 'Sybase Privilege' class.
`static int` `SYBASE_ROUTINE` The meta object id for the '`Sybase Routine`' class.
`static int` `SYBASE_ROUTINE__AUTHORIZATION_ID` The feature id for the 'Authorization ID' attribute.
`static int` `SYBASE_ROUTINE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_ROUTINE__CREATION_TS` The feature id for the 'Creation TS' attribute.
`static int` `SYBASE_ROUTINE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_ROUTINE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_ROUTINE__DETERMINISTIC` The feature id for the 'Deterministic' attribute.
`static int` `SYBASE_ROUTINE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_ROUTINE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_ROUTINE__EXTERNAL_NAME` The feature id for the 'External Name' attribute.
`static int` `SYBASE_ROUTINE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_ROUTINE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `SYBASE_ROUTINE__LAST_ALTERED_TS` The feature id for the 'Last Altered TS' attribute.
`static int` `SYBASE_ROUTINE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_ROUTINE__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute.
`static int` `SYBASE_ROUTINE__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` `SYBASE_ROUTINE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_ROUTINE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_ROUTINE__SECURITY` The feature id for the 'Security' attribute.
`static int` `SYBASE_ROUTINE__SOURCE` The feature id for the 'Source' containment reference.
`static int` `SYBASE_ROUTINE__SPECIFIC_NAME` The feature id for the 'Specific Name' attribute.
`static int` `SYBASE_ROUTINE__SQL_DATA_ACCESS` The feature id for the 'Sql Data Access' attribute.
`static int` `SYBASE_ROUTINE_FEATURE_COUNT` The number of structural features of the 'Sybase Routine' class.
`static int` `SYBASE_VIEW_TABLE` The meta object id for the '`Sybase View Table`' class.
`static int` `SYBASE_VIEW_TABLE__CHECK_TYPE` The feature id for the 'Check Type' attribute.
`static int` `SYBASE_VIEW_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `SYBASE_VIEW_TABLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `SYBASE_VIEW_TABLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `SYBASE_VIEW_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `SYBASE_VIEW_TABLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `SYBASE_VIEW_TABLE__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `SYBASE_VIEW_TABLE__INDEX` The feature id for the 'Index' reference list.
`static int` `SYBASE_VIEW_TABLE__INSERTABLE` The feature id for the 'Insertable' attribute.
`static int` `SYBASE_VIEW_TABLE__LABEL` The feature id for the 'Label' attribute.
`static int` `SYBASE_VIEW_TABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SYBASE_VIEW_TABLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `SYBASE_VIEW_TABLE__QUERY_EXPRESSION` The feature id for the 'Query Expression' containment reference.
`static int` `SYBASE_VIEW_TABLE__SCHEMA` The feature id for the 'Schema' reference.
`static int` `SYBASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION` The feature id for the 'Self Ref Column Generation' attribute.
`static int` `SYBASE_VIEW_TABLE__SUBTABLES` The feature id for the 'Subtables' reference list.
`static int` `SYBASE_VIEW_TABLE__SUPERTABLE` The feature id for the 'Supertable' reference.
`static int` `SYBASE_VIEW_TABLE__TRIGGERS` The feature id for the 'Triggers' reference list.
`static int` `SYBASE_VIEW_TABLE__UDT` The feature id for the 'Udt' reference.
`static int` `SYBASE_VIEW_TABLE__UPDATABLE` The feature id for the 'Updatable' attribute.
`static int` `SYBASE_VIEW_TABLE_FEATURE_COUNT` The number of structural features of the 'Sybase View Table' class.

Method Summary
`org.eclipse.emf.ecore.EEnum` `getJDBCParameterType()` Returns the meta object for enum '`JDBC Parameter Type`'.
`org.eclipse.emf.ecore.EReference` `getSybaseAuthorizationIdentifier_SqlContainer()` Returns the meta object for the reference '`Sql Container`'.
`org.eclipse.emf.ecore.EClass` `getSybaseAuthorizationIdentifier()` Returns the meta object for class '`Sybase Authorization Identifier`'.
`org.eclipse.emf.ecore.EClass` `getSybaseAuthorizedObject()` Returns the meta object for class '`Sybase Authorized Object`'.
`org.eclipse.emf.ecore.EClass` `getSybaseBaseTable()` Returns the meta object for class '`Sybase Base Table`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseIndexMember_ColumnExpression()` Returns the meta object for the attribute '`Column Expression`'.
`org.eclipse.emf.ecore.EClass` `getSybaseIndexMember()` Returns the meta object for class '`Sybase Index Member`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseParameter_DefaultValue()` Returns the meta object for the attribute '`Default Value`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseParameter_JDBCParameterType()` Returns the meta object for the attribute '`JDBC Parameter Type`'.
`org.eclipse.emf.ecore.EAttribute` `getSybaseParameter_Nullable()` Returns the meta object for the attribute '`Nullable`'.
`org.eclipse.emf.ecore.EClass` `getSybaseParameter()` Returns the meta object for class '`Sybase Parameter`'.
`org.eclipse.emf.ecore.EAttribute` `getSybasePrivilege_Revoked()` Returns the meta object for the attribute '`Revoked`'.
`org.eclipse.emf.ecore.EClass` `getSybasePrivilege()` Returns the meta object for class '`Sybase Privilege`'.
`org.eclipse.emf.ecore.EClass` `getSybaseRoutine()` Returns the meta object for class '`Sybase Routine`'.
`SybasesqlmodelFactory` `getSybasesqlmodelFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getSybaseViewTable()` Returns the meta object for class '`Sybase View Table`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SybasesqlmodelPackage eINSTANCE

  The singleton instance of the package.

### SYBASE_PARAMETER

    static final int SYBASE_PARAMETER

  The meta object id for the '`Sybase Parameter`' class.

  See Also:
    `SybaseParameterImpl`, `SybasesqlmodelPackageImpl.getSybaseParameter()`, Constant Field Values

### SYBASE_PARAMETER__EANNOTATIONS

    static final int SYBASE_PARAMETER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__NAME

    static final int SYBASE_PARAMETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__DEPENDENCIES

    static final int SYBASE_PARAMETER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__DESCRIPTION

    static final int SYBASE_PARAMETER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__LABEL

    static final int SYBASE_PARAMETER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__COMMENTS

    static final int SYBASE_PARAMETER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__EXTENSIONS

    static final int SYBASE_PARAMETER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__PRIVILEGES

    static final int SYBASE_PARAMETER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__CONTAINED_TYPE

    static final int SYBASE_PARAMETER__CONTAINED_TYPE

  The feature id for the 'Contained Type' containment reference.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__REFERENCED_TYPE

    static final int SYBASE_PARAMETER__REFERENCED_TYPE

  The feature id for the 'Referenced Type' reference.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__MODE

    static final int SYBASE_PARAMETER__MODE

  The feature id for the 'Mode' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__LOCATOR

    static final int SYBASE_PARAMETER__LOCATOR

  The feature id for the 'Locator' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__ROUTINE

    static final int SYBASE_PARAMETER__ROUTINE

  The feature id for the 'Routine' container reference.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__STRING_TYPE_OPTION

    static final int SYBASE_PARAMETER__STRING_TYPE_OPTION

  The feature id for the 'String Type Option' containment reference.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__NULLABLE

    static final int SYBASE_PARAMETER__NULLABLE

  The feature id for the 'Nullable' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__DEFAULT_VALUE

    static final int SYBASE_PARAMETER__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER__JDBC_PARAMETER_TYPE

    static final int SYBASE_PARAMETER__JDBC_PARAMETER_TYPE

  The feature id for the 'JDBC Parameter Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_PARAMETER_FEATURE_COUNT

    static final int SYBASE_PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Sybase Parameter' class.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE

    static final int SYBASE_ROUTINE

  The meta object id for the '`Sybase Routine`' class.

  See Also:
    `SybaseRoutineImpl`, `SybasesqlmodelPackageImpl.getSybaseRoutine()`, Constant Field Values

### SYBASE_ROUTINE__EANNOTATIONS

    static final int SYBASE_ROUTINE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__NAME

    static final int SYBASE_ROUTINE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__DEPENDENCIES

    static final int SYBASE_ROUTINE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__DESCRIPTION

    static final int SYBASE_ROUTINE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__LABEL

    static final int SYBASE_ROUTINE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__COMMENTS

    static final int SYBASE_ROUTINE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__EXTENSIONS

    static final int SYBASE_ROUTINE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__PRIVILEGES

    static final int SYBASE_ROUTINE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__SPECIFIC_NAME

    static final int SYBASE_ROUTINE__SPECIFIC_NAME

  The feature id for the 'Specific Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__LANGUAGE

    static final int SYBASE_ROUTINE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__PARAMETER_STYLE

    static final int SYBASE_ROUTINE__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__DETERMINISTIC

    static final int SYBASE_ROUTINE__DETERMINISTIC

  The feature id for the 'Deterministic' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__SQL_DATA_ACCESS

    static final int SYBASE_ROUTINE__SQL_DATA_ACCESS

  The feature id for the 'Sql Data Access' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__CREATION_TS

    static final int SYBASE_ROUTINE__CREATION_TS

  The feature id for the 'Creation TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__LAST_ALTERED_TS

    static final int SYBASE_ROUTINE__LAST_ALTERED_TS

  The feature id for the 'Last Altered TS' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__AUTHORIZATION_ID

    static final int SYBASE_ROUTINE__AUTHORIZATION_ID

  The feature id for the 'Authorization ID' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__SECURITY

    static final int SYBASE_ROUTINE__SECURITY

  The feature id for the 'Security' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__EXTERNAL_NAME

    static final int SYBASE_ROUTINE__EXTERNAL_NAME

  The feature id for the 'External Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__PARAMETERS

    static final int SYBASE_ROUTINE__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__SOURCE

    static final int SYBASE_ROUTINE__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE__SCHEMA

    static final int SYBASE_ROUTINE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_ROUTINE_FEATURE_COUNT

    static final int SYBASE_ROUTINE_FEATURE_COUNT

  The number of structural features of the 'Sybase Routine' class.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE

    static final int SYBASE_BASE_TABLE

  The meta object id for the '`Sybase Base Table`' class.

  See Also:
    `SybaseBaseTableImpl`, `SybasesqlmodelPackageImpl.getSybaseBaseTable()`, Constant Field Values

### SYBASE_BASE_TABLE__EANNOTATIONS

    static final int SYBASE_BASE_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__NAME

    static final int SYBASE_BASE_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__DEPENDENCIES

    static final int SYBASE_BASE_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__DESCRIPTION

    static final int SYBASE_BASE_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__LABEL

    static final int SYBASE_BASE_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__COMMENTS

    static final int SYBASE_BASE_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__EXTENSIONS

    static final int SYBASE_BASE_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__PRIVILEGES

    static final int SYBASE_BASE_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__COLUMNS

    static final int SYBASE_BASE_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__SUPERTABLE

    static final int SYBASE_BASE_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__SUBTABLES

    static final int SYBASE_BASE_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__SCHEMA

    static final int SYBASE_BASE_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__UDT

    static final int SYBASE_BASE_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__TRIGGERS

    static final int SYBASE_BASE_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__INDEX

    static final int SYBASE_BASE_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__INSERTABLE

    static final int SYBASE_BASE_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__UPDATABLE

    static final int SYBASE_BASE_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__CONSTRAINTS

    static final int SYBASE_BASE_TABLE__CONSTRAINTS

  The feature id for the 'Constraints' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS

    static final int SYBASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS

  The feature id for the 'Referencing Foreign Keys' reference list.

  See Also:
    Constant Field Values

### SYBASE_BASE_TABLE_FEATURE_COUNT

    static final int SYBASE_BASE_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase Base Table' class.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE

    static final int SYBASE_VIEW_TABLE

  The meta object id for the '`Sybase View Table`' class.

  See Also:
    `SybaseViewTableImpl`, `SybasesqlmodelPackageImpl.getSybaseViewTable()`, Constant Field Values

### SYBASE_VIEW_TABLE__EANNOTATIONS

    static final int SYBASE_VIEW_TABLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__NAME

    static final int SYBASE_VIEW_TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__DEPENDENCIES

    static final int SYBASE_VIEW_TABLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__DESCRIPTION

    static final int SYBASE_VIEW_TABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__LABEL

    static final int SYBASE_VIEW_TABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__COMMENTS

    static final int SYBASE_VIEW_TABLE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__EXTENSIONS

    static final int SYBASE_VIEW_TABLE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__PRIVILEGES

    static final int SYBASE_VIEW_TABLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__COLUMNS

    static final int SYBASE_VIEW_TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__SUPERTABLE

    static final int SYBASE_VIEW_TABLE__SUPERTABLE

  The feature id for the 'Supertable' reference.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__SUBTABLES

    static final int SYBASE_VIEW_TABLE__SUBTABLES

  The feature id for the 'Subtables' reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__SCHEMA

    static final int SYBASE_VIEW_TABLE__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__UDT

    static final int SYBASE_VIEW_TABLE__UDT

  The feature id for the 'Udt' reference.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__TRIGGERS

    static final int SYBASE_VIEW_TABLE__TRIGGERS

  The feature id for the 'Triggers' reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__INDEX

    static final int SYBASE_VIEW_TABLE__INDEX

  The feature id for the 'Index' reference list.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

    static final int SYBASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION

  The feature id for the 'Self Ref Column Generation' attribute.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__INSERTABLE

    static final int SYBASE_VIEW_TABLE__INSERTABLE

  The feature id for the 'Insertable' attribute.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__UPDATABLE

    static final int SYBASE_VIEW_TABLE__UPDATABLE

  The feature id for the 'Updatable' attribute.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__QUERY_EXPRESSION

    static final int SYBASE_VIEW_TABLE__QUERY_EXPRESSION

  The feature id for the 'Query Expression' containment reference.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE__CHECK_TYPE

    static final int SYBASE_VIEW_TABLE__CHECK_TYPE

  The feature id for the 'Check Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_VIEW_TABLE_FEATURE_COUNT

    static final int SYBASE_VIEW_TABLE_FEATURE_COUNT

  The number of structural features of the 'Sybase View Table' class.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER

    static final int SYBASE_AUTHORIZATION_IDENTIFIER

  The meta object id for the '`Sybase Authorization Identifier`' class.

  See Also:
    `SybaseAuthorizationIdentifierImpl`, `SybasesqlmodelPackageImpl.getSybaseAuthorizationIdentifier()`, Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__EANNOTATIONS

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__NAME

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__DEPENDENCIES

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__DESCRIPTION

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__LABEL

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__COMMENTS

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__EXTENSIONS

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__PRIVILEGES

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__DATABASE

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__DATABASE

  The feature id for the 'Database' reference.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER__SQL_CONTAINER

    static final int SYBASE_AUTHORIZATION_IDENTIFIER__SQL_CONTAINER

  The feature id for the 'Sql Container' reference.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZATION_IDENTIFIER_FEATURE_COUNT

    static final int SYBASE_AUTHORIZATION_IDENTIFIER_FEATURE_COUNT

  The number of structural features of the 'Sybase Authorization Identifier' class.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER

    static final int SYBASE_INDEX_MEMBER

  The meta object id for the '`Sybase Index Member`' class.

  See Also:
    `SybaseIndexMemberImpl`, `SybasesqlmodelPackageImpl.getSybaseIndexMember()`, Constant Field Values

### SYBASE_INDEX_MEMBER__EANNOTATIONS

    static final int SYBASE_INDEX_MEMBER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__NAME

    static final int SYBASE_INDEX_MEMBER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__DEPENDENCIES

    static final int SYBASE_INDEX_MEMBER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__DESCRIPTION

    static final int SYBASE_INDEX_MEMBER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__LABEL

    static final int SYBASE_INDEX_MEMBER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__COMMENTS

    static final int SYBASE_INDEX_MEMBER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__EXTENSIONS

    static final int SYBASE_INDEX_MEMBER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__PRIVILEGES

    static final int SYBASE_INDEX_MEMBER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__INCREMENT_TYPE

    static final int SYBASE_INDEX_MEMBER__INCREMENT_TYPE

  The feature id for the 'Increment Type' attribute.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__COLUMN

    static final int SYBASE_INDEX_MEMBER__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER__COLUMN_EXPRESSION

    static final int SYBASE_INDEX_MEMBER__COLUMN_EXPRESSION

  The feature id for the 'Column Expression' attribute.

  See Also:
    Constant Field Values

### SYBASE_INDEX_MEMBER_FEATURE_COUNT

    static final int SYBASE_INDEX_MEMBER_FEATURE_COUNT

  The number of structural features of the 'Sybase Index Member' class.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT

    static final int SYBASE_AUTHORIZED_OBJECT

  The meta object id for the '`Sybase Authorized Object`' class.

  See Also:
    `SybaseAuthorizedObject`, `SybasesqlmodelPackageImpl.getSybaseAuthorizedObject()`, Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__EANNOTATIONS

    static final int SYBASE_AUTHORIZED_OBJECT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__NAME

    static final int SYBASE_AUTHORIZED_OBJECT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__DEPENDENCIES

    static final int SYBASE_AUTHORIZED_OBJECT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__DESCRIPTION

    static final int SYBASE_AUTHORIZED_OBJECT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__LABEL

    static final int SYBASE_AUTHORIZED_OBJECT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__COMMENTS

    static final int SYBASE_AUTHORIZED_OBJECT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__EXTENSIONS

    static final int SYBASE_AUTHORIZED_OBJECT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT__PRIVILEGES

    static final int SYBASE_AUTHORIZED_OBJECT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_AUTHORIZED_OBJECT_FEATURE_COUNT

    static final int SYBASE_AUTHORIZED_OBJECT_FEATURE_COUNT

  The number of structural features of the 'Sybase Authorized Object' class.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE

    static final int SYBASE_PRIVILEGE

  The meta object id for the '`Sybase Privilege`' class.

  See Also:
    `SybasePrivilegeImpl`, `SybasesqlmodelPackageImpl.getSybasePrivilege()`, Constant Field Values

### SYBASE_PRIVILEGE__EANNOTATIONS

    static final int SYBASE_PRIVILEGE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__NAME

    static final int SYBASE_PRIVILEGE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__DEPENDENCIES

    static final int SYBASE_PRIVILEGE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__DESCRIPTION

    static final int SYBASE_PRIVILEGE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__LABEL

    static final int SYBASE_PRIVILEGE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__COMMENTS

    static final int SYBASE_PRIVILEGE__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__EXTENSIONS

    static final int SYBASE_PRIVILEGE__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__PRIVILEGES

    static final int SYBASE_PRIVILEGE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__GRANTABLE

    static final int SYBASE_PRIVILEGE__GRANTABLE

  The feature id for the 'Grantable' attribute.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__ACTION

    static final int SYBASE_PRIVILEGE__ACTION

  The feature id for the 'Action' attribute.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__WITH_HIERARCHY

    static final int SYBASE_PRIVILEGE__WITH_HIERARCHY

  The feature id for the 'With Hierarchy' attribute.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__GRANTOR

    static final int SYBASE_PRIVILEGE__GRANTOR

  The feature id for the 'Grantor' reference.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__GRANTEE

    static final int SYBASE_PRIVILEGE__GRANTEE

  The feature id for the 'Grantee' container reference.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__ACTION_OBJECTS

    static final int SYBASE_PRIVILEGE__ACTION_OBJECTS

  The feature id for the 'Action Objects' reference list.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__OBJECT

    static final int SYBASE_PRIVILEGE__OBJECT

  The feature id for the 'Object' reference.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE__REVOKED

    static final int SYBASE_PRIVILEGE__REVOKED

  The feature id for the 'Revoked' attribute.

  See Also:
    Constant Field Values

### SYBASE_PRIVILEGE_FEATURE_COUNT

    static final int SYBASE_PRIVILEGE_FEATURE_COUNT

  The number of structural features of the 'Sybase Privilege' class.

  See Also:
    Constant Field Values

### JDBC_PARAMETER_TYPE

    static final int JDBC_PARAMETER_TYPE

  The meta object id for the '`JDBC Parameter Type`' enum.

  See Also:
    `JDBCParameterType`, `SybasesqlmodelPackageImpl.getJDBCParameterType()`, Constant Field Values

Method Detail

### getSybaseParameter

    org.eclipse.emf.ecore.EClass getSybaseParameter()

  Returns the meta object for class '`Sybase Parameter`'.

  Returns:
    the meta object for class 'Sybase Parameter'.
  See Also:
    `SybaseParameter`

### getSybaseParameter_Nullable

    org.eclipse.emf.ecore.EAttribute getSybaseParameter_Nullable()

  Returns the meta object for the attribute '`Nullable`'.

  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `SybaseParameter.isNullable()`, `getSybaseParameter()`

### getSybaseParameter_DefaultValue

    org.eclipse.emf.ecore.EAttribute getSybaseParameter_DefaultValue()

  Returns the meta object for the attribute '`Default Value`'.

  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `SybaseParameter.getDefaultValue()`, `getSybaseParameter()`

### getSybaseParameter_JDBCParameterType

    org.eclipse.emf.ecore.EAttribute getSybaseParameter_JDBCParameterType()

  Returns the meta object for the attribute '`JDBC Parameter Type`'.

  Returns:
    the meta object for the attribute 'JDBC Parameter Type'.
  See Also:
    `SybaseParameter.getJDBCParameterType()`, `getSybaseParameter()`

### getSybaseRoutine

    org.eclipse.emf.ecore.EClass getSybaseRoutine()

  Returns the meta object for class '`Sybase Routine`'.

  Returns:
    the meta object for class 'Sybase Routine'.
  See Also:
    `SybaseRoutine`

### getSybaseBaseTable

    org.eclipse.emf.ecore.EClass getSybaseBaseTable()

  Returns the meta object for class '`Sybase Base Table`'.

  Returns:
    the meta object for class 'Sybase Base Table'.
  See Also:
    `SybaseBaseTable`

### getSybaseViewTable

    org.eclipse.emf.ecore.EClass getSybaseViewTable()

  Returns the meta object for class '`Sybase View Table`'.

  Returns:
    the meta object for class 'Sybase View Table'.
  See Also:
    `SybaseViewTable`

### getSybaseAuthorizationIdentifier

    org.eclipse.emf.ecore.EClass getSybaseAuthorizationIdentifier()

  Returns the meta object for class '`Sybase Authorization Identifier`'.

  Returns:
    the meta object for class 'Sybase Authorization Identifier'.
  See Also:
    `SybaseAuthorizationIdentifier`

### getSybaseAuthorizationIdentifier_SqlContainer

    org.eclipse.emf.ecore.EReference getSybaseAuthorizationIdentifier_SqlContainer()

  Returns the meta object for the reference '`Sql Container`'.

  Returns:
    the meta object for the reference 'Sql Container'.
  See Also:
    `SybaseAuthorizationIdentifier.getSqlContainer()`, `getSybaseAuthorizationIdentifier()`

### getSybaseIndexMember

    org.eclipse.emf.ecore.EClass getSybaseIndexMember()

  Returns the meta object for class '`Sybase Index Member`'.

  Returns:
    the meta object for class 'Sybase Index Member'.
  See Also:
    `SybaseIndexMember`

### getSybaseIndexMember_ColumnExpression

    org.eclipse.emf.ecore.EAttribute getSybaseIndexMember_ColumnExpression()

  Returns the meta object for the attribute '`Column Expression`'.

  Returns:
    the meta object for the attribute 'Column Expression'.
  See Also:
    `SybaseIndexMember.getColumnExpression()`, `getSybaseIndexMember()`

### getSybaseAuthorizedObject

    org.eclipse.emf.ecore.EClass getSybaseAuthorizedObject()

  Returns the meta object for class '`Sybase Authorized Object`'.

  Returns:
    the meta object for class 'Sybase Authorized Object'.
  See Also:
    `SybaseAuthorizedObject`

### getSybasePrivilege

    org.eclipse.emf.ecore.EClass getSybasePrivilege()

  Returns the meta object for class '`Sybase Privilege`'.

  Returns:
    the meta object for class 'Sybase Privilege'.
  See Also:
    `SybasePrivilege`

### getSybasePrivilege_Revoked

    org.eclipse.emf.ecore.EAttribute getSybasePrivilege_Revoked()

  Returns the meta object for the attribute '`Revoked`'.

  Returns:
    the meta object for the attribute 'Revoked'.
  See Also:
    `SybasePrivilege.isRevoked()`, `getSybasePrivilege()`

### getJDBCParameterType

    org.eclipse.emf.ecore.EEnum getJDBCParameterType()

  Returns the meta object for enum '`JDBC Parameter Type`'.

  Returns:
    the meta object for enum 'JDBC Parameter Type'.
  See Also:
    `JDBCParameterType`

### getSybasesqlmodelFactory

    SybasesqlmodelFactory getSybasesqlmodelFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.